//
//  Finder.h
//  CrawlSpace
//
//  Created by finucane on 11/9/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#define TOM_ID 6221

@interface Finder : NSObject
{
  NSURLConnection*connection;
  NSMutableArray*items;
  NSMutableData*data;
  id delegate;
  BOOL cancelled;
  NSTimer*timer;
}

- (id) initWithDelegate:(id)aDelegate;
- (void) cancel;
- (NSArray*) getItems;
- (void) setPending:(BOOL)pending;
- (void) setTimer;
- (void) clearTimer;
- (NSURLRequest*)requestWithURL:(NSURL*)url;
- (NSMutableURLRequest*)mutableRequestWithURL:(NSURL*)url;

@end
