//
//  ImageLoader.h
//  CrawlSpace
//
//  Created by finucane on 11/9/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "Finder.h"

@interface ImageLoader : Finder
{
  int myId;
  int currentImage;
  NSArray*imageIds;
  NSString*imageUrl;
  char*url;
  BOOL loadingImageUrl;
  NSRecursiveLock*lock;
}

- (id) initWithId:(int)anId delegate:(id)aDelegate imageIds:(NSArray*)imageIds imageUrl:(NSString*)anImageUrl;
- (void) find;
@end

@interface NSObject (ImageLoaderDelegate)
- (void) imageLoaderDone:(ImageLoader*)imageLoader withError:(NSError*)error;
@end