//
//  NameFinder.h
//  CrawlSpace
//
//  Created by David Finucane on 11/23/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "Finder.h"
#import "Sifter.h"

@interface NameFinder : Finder
{
  int currentPage;
  int numPages;
  NSString*baseFormat;
}

- (id) initWithDelegate:(id)aDelegate;
- (void) findName:(NSString*)name searchType:(int)searchType postCodeType:(NSString*)postCodeType postCode:(NSString*)postCode;
- (void) connection:(NSURLConnection*) aConnection didFailWithError:(NSError*) error;
- (int) siftForNumPages: (Sifter*)sifter;
- (BOOL) siftForFriends:(Sifter*)sifter;

@end

@interface NSObject (NameFinderDelegate)
- (void) nameFinderDone:(NameFinder*)nameFinder withError:(NSError*)error;
@end