//
//  PageFinder.h
//  CrawlSpace
//
//  Created by finucane on 11/28/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "Finder.h"

@interface PageFinder : Finder
{
  NSArray*pages;
  int currentPage;
  int errorCount;
}

- (id) initWithDelegate:(id)aDelegate pages:(NSArray*)somePages;
- (id) initWithDelegate:(id)aDelegate page:(NSString*)page;
- (void) find;
- (void) connection:(NSURLConnection*) aConnection didFailWithError:(NSError*) error;

@end

@interface NSObject (PageFinderDelegate)
- (void) pageFinderDone:(PageFinder*)pageFinder withError:(NSError*)error;
@end

