//
//  Sifter.h
//  CrawlSpace
//
//  Created by David Finucane on 11/8/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface Sifter : NSObject
{
  char*buffer;
  int length;
  int pos;
}
- (id) initWithData:(NSData*)data;
- (void) dealloc;
- (int) find: (char*)s;
- (void) seek: (int) pos;
- (BOOL) advance: (int) delta;
- (BOOL) findAndSeek: (char*)s;
- (BOOL) findAndSeekPast: (char*)s;
- (BOOL) findAndSeekPastTokens: (char*)s;
- (char*) grabAndSeekUntil: (char*)s;
- (NSNumber*) grabNumberAndSeekUntil: (char*)s;
- (int) grabIntAndSeekUntil: (char*)s;
- (int) getPos;
- (int) findBackwards: (char*)s;
- (BOOL) findBackwardsAndSeek: (char*)s;
- (NSString*) grabStringAndSeekUntil:(char*)s;
- (NSString*) grabTrimmedStringAndSeekUntil:(char*)s;
@end
